=== modified file 'drizzled/function/str/concat.cc'
--- drizzled/function/str/concat.cc	2011-05-04 09:46:36 +0000
+++ drizzled/function/str/concat.cc	2011-05-05 11:49:51 +0000
@@ -129,8 +129,7 @@
           {
             uint32_t new_len= max(tmp_value.alloced_length() * 2, concat_len);
 
-            if (tmp_value.realloc(new_len))
-              goto null;
+            tmp_value.realloc(new_len);
           }
         }
 
@@ -296,8 +295,7 @@
         {
           uint32_t new_len= max(tmp_value.alloced_length() * 2, concat_len);
 
-          if (tmp_value.realloc(new_len))
-            goto null;
+          tmp_value.realloc(new_len);
         }
       }
 

=== modified file 'drizzled/sql_string.cc'
--- drizzled/sql_string.cc	2011-05-05 10:53:09 +0000
+++ drizzled/sql_string.cc	2011-05-05 11:49:51 +0000
@@ -118,7 +118,7 @@
 ** (for C functions)
 */
 
-bool String::realloc(size_t alloc_length)
+void String::realloc(size_t alloc_length)
 {
   size_t len=ALIGN_SIZE(alloc_length+1);
   if (Alloced_length < len)
@@ -142,7 +142,6 @@
     }
   }
   Ptr[alloc_length]=0;			// This make other funcs shorter
-  return false; // return void
 }
 
 void String::set_int(int64_t num, bool unsigned_flag, const charset_info_st * const cs)
@@ -530,8 +529,7 @@
     (void) from->realloc(from_length);
     return from;
   }
-  if (to->realloc(from_length))
-    return from;				// Actually an error
+  to->realloc(from_length);
   if ((to->str_length= min(from->str_length,from_length)))
     memcpy(to->Ptr,from->Ptr,to->str_length);
   to->str_charset=from->str_charset;

=== modified file 'drizzled/sql_string.h'
--- drizzled/sql_string.h	2011-05-05 10:53:09 +0000
+++ drizzled/sql_string.h	2011-05-05 11:49:51 +0000
@@ -202,7 +202,7 @@
       real_alloc(arg_length);
   }
   void real_alloc(size_t arg_length);			// Empties old string
-  bool realloc(size_t arg_length);
+  void realloc(size_t arg_length);
   inline void shrink(size_t arg_length)		// Shrink buffer
   {
     if (arg_length < Alloced_length)
@@ -220,7 +220,7 @@
       }
     }
   }
-  bool is_alloced() { return alloced; }
+  bool is_alloced() { return alloced; } const
   inline String& operator = (const String &s)
   {
     if (&s != this)
@@ -275,11 +275,11 @@
   size_t numchars();
   int charpos(int i,size_t offset=0);
 
-  int reserve(size_t space_needed)
+  void reserve(size_t space_needed)
   {
-    return realloc(str_length + space_needed);
+    realloc(str_length + space_needed);
   }
-  int reserve(size_t space_needed, size_t grow_by);
+  void reserve(size_t space_needed, size_t grow_by);
 
   /*
     The following append operations do NOT check alloced memory
@@ -299,10 +299,7 @@
   {
     size_t new_length= arg_length + str_length;
     if (new_length > Alloced_length)
-    {
-      if (realloc(new_length + step_alloc))
-        return 0;
-    }
+      realloc(new_length + step_alloc);
     size_t old_length= str_length;
     str_length+= arg_length;
     return Ptr+ old_length;			/* Area to use */

=== modified file 'plugin/compression/compress.cc'
--- plugin/compression/compress.cc	2011-02-17 00:14:13 +0000
+++ plugin/compression/compress.cc	2011-05-05 11:49:51 +0000
@@ -58,12 +58,12 @@
   new_size= res->length() + res->length() / 5 + 12;
 
   // Check new_size overflow: new_size <= res->length()
-  if (((uint32_t) (new_size+5) <= res->length()) ||
-      buffer.realloc((uint32_t) new_size + 4 + 1))
+  if ((uint32_t) (new_size+5) <= res->length())
   {
     null_value= 1;
     return 0;
   }
+  buffer.realloc((uint32_t) new_size + 4 + 1);
 
   body= ((Byte*)buffer.ptr()) + 4;
 

=== modified file 'plugin/compression/uncompress.cc'
--- plugin/compression/uncompress.cc	2011-03-21 18:32:26 +0000
+++ plugin/compression/uncompress.cc	2011-05-05 11:49:51 +0000
@@ -65,8 +65,7 @@
     goto err;
   }
 
-  if (buffer.realloc((uint32_t)new_size))
-    goto err;
+  buffer.realloc(new_size);
 
   if ((err= uncompress((Byte*)buffer.ptr(), &new_size,
                        ((const Bytef*)res->ptr())+4,res->length())) == Z_OK)

=== modified file 'plugin/mysql_protocol/mysql_protocol.cc'
--- plugin/mysql_protocol/mysql_protocol.cc	2011-05-05 09:24:07 +0000
+++ plugin/mysql_protocol/mysql_protocol.cc	2011-05-05 11:49:51 +0000
@@ -510,9 +510,9 @@
         store(field.table_name) ||
         store(field.org_table_name) ||
         store(field.col_name) ||
-        store(field.org_col_name) ||
-        packet.realloc(packet.length()+12))
+        store(field.org_col_name))
       goto err;
+    packet.realloc(packet.length()+12);
 
     /* Store fixed length fields */
     pos= (char*) packet.ptr()+packet.length();
@@ -909,13 +909,12 @@
      The +9 comes from that strings of length longer than 16M require
      9 bytes to be stored (see storeLength).
   */
-  if (packet_length+9+length > packet.alloced_length() &&
-      packet.realloc(packet_length+9+length))
-    return 1;
+  if (packet_length+9+length > packet.alloced_length())
+      packet.realloc(packet_length+9+length);
   unsigned char *to= storeLength((unsigned char*) packet.ptr()+packet_length, length);
   memcpy(to,from,length);
   packet.length((size_t) (to+length-(unsigned char*) packet.ptr()));
-  return 0;
+  return 0; // return void
 }
 
 /**

=== modified file 'plugin/reverse_function/reverse_function.cc'
--- plugin/reverse_function/reverse_function.cc	2011-04-20 22:18:30 +0000
+++ plugin/reverse_function/reverse_function.cc	2011-05-05 11:49:51 +0000
@@ -52,12 +52,8 @@
   /* An empty string is a special case as the string pointer may be null */
   if (!res->length())
     return &my_empty_string;
-  if (tmp_value.alloced_length() < res->length() &&
-      tmp_value.realloc(res->length()))
-  {
-    null_value= 1;
-    return 0;
-  }
+  if (tmp_value.alloced_length() < res->length())
+      tmp_value.realloc(res->length());
   tmp_value.length(res->length());
   tmp_value.set_charset(res->charset());
   ptr= (char *) res->ptr();

